com.mathworks.mps.client

## Class MWInvokeRequest<T>

- java.lang.Object
- - com.mathworks.mps.client.MWInvokeRequest<T>

-     public class MWInvokeRequest<T>
      extends java.lang.Object

  The class represents a MATLAB execution request. The parameters have 1:1 mapping with the deployed MATLAB function.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MWInvokeRequest(java.lang.String MLFunction, java.lang.Class<T> targetType)` Constructs an instance from the String which must be a valid deployed MATLAB function.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getInputParams()` Returns the input parameters.
    `java.lang.String` | `getMLFunction()` Returns the MATLAB function name.
    `int` | `getNargout()` Returns the number of output arguments.
    `java.lang.Class<T>` | `getTargetType()` Returns the targetType of this request.
    `void` | `setInputParams(java.lang.Object... inputs)` Sets the input parameters to the MATLAB function.
    `void` | `setNargout(int nargout)` Sets number of output arguments expected from the MATLAB request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MWInvokeRequest

          public MWInvokeRequest(java.lang.String MLFunction,
                                 java.lang.Class<T> targetType)

      Constructs an instance from the String which must be a valid deployed MATLAB function. The result returned by the request execution must be assignable to the targetType.

  - ### Method Detail

    - #### getMLFunction

          public java.lang.String getMLFunction()

      Returns the MATLAB function name.

    - #### getTargetType

          public java.lang.Class<T> getTargetType()

      Returns the targetType of this request.

    - #### getNargout

          public int getNargout()

      Returns the number of output arguments.

    - #### getInputParams

          public java.lang.Object[] getInputParams()

      Returns the input parameters.

    - #### setNargout

          public void setNargout(int nargout)

      Sets number of output arguments expected from the MATLAB request.

    - #### setInputParams

          public void setInputParams(java.lang.Object... inputs)

      Sets the input parameters to the MATLAB function.

Copyright 2010-2022 The MathWorks, Inc.